using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IPostService
    {
        EQTask Get(int postId, Action<Post, EQException> onComplete);

        EQTask Create(Post post, Action<Post, EQException> onComplete);

        EQTask Update(Post post, Action<Post, EQException> onComplete);

        EQTask Delete(Post post, Action<EQException> onComplete);
        EQTask Delete(int postId, Action<EQException> onComplete);
    }
}
